Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021602
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementtrivialN/A2012-09-11 10:302012-09-26 17:19
ReportervmromanosView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisione75d1f34e9b4
ProjectionnoneETAnoneTarget Version3.0MP16
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_12
OS VersionDebian 5.0Database version8.3.8Ant version1.7.0
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021602: Static flag in Assets window

DescriptionA new flag called Static should be added to the Assets window.

This flag should control whether this asset can be moved or not into the tree.
Steps To ReproduceSee desc.
Proposed Solution1. Inside the Assets window, set the Static = Y
2. Click the tree icon and try to change the parent of this asset. An error should be displayed
3. Set Static = N
4. Click the tree icon and try to change the parent of this asset. The system should allow you
TagsCoworking
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0052006)
vmromanos (developer)
2012-09-11 18:08

Test plan:
1. Go to Assets window
2. Create a new record. Name = SUMMARY, Summary level = Y, Static = N
3. Create a new record. Name = Child 1, Summary level = N, Static = N
4. Create a new record. Name = Child 2, Summary level = N, Static = N
5. Press the tree icon button. Try to move Child 1 and Child 2 under SUMMARY
6. Set Child 1 as Static = Y
7. Try to move Child 2 outside SUMMARY
8. Try to move Child 1 outside SUMMARY. An error is displayed and the operation is not done
9. Close the popup, go back to the Assets window and set Child 1 as Static = N
10. Try to move Child 1 outside SUMMARY. No error should be displayed.
(0052012)
hgbot (developer)
2012-09-12 09:21

Repository: erp/devel/pi
Changeset: e75d1f34e9b475a0c707f4d035de8d8743a992d8
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Sep 11 18:13:02 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e75d1f34e9b475a0c707f4d035de8d8743a992d8 [^]

Fixed bug 21602: Static flag in Assets window
A new flag, called Static, is displayed into the Assets window
If set to Yes, it prevents from moving the asset into the tree, which
basically means changing its parent.

---
M src-db/database/model/tables/A_ASSET.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/utility/WindowTreeChecks.java
M src/org/openbravo/erpCommon/utility/WindowTree_data.xsql
---
(0052591)
dmiguelez (developer)
2012-09-25 17:27

Code Review + Testing OK
(0052731)
hudsonbot (developer)
2012-09-26 17:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b780e90c6452 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-09-11 10:30 vmromanos New Issue
2012-09-11 10:30 vmromanos Assigned To => vmromanos
2012-09-11 10:30 vmromanos Modules => Core
2012-09-11 11:22 vmromanos Tag Attached: Coworking
2012-09-11 16:33 vmromanos Status new => scheduled
2012-09-11 16:33 vmromanos fix_in_branch => pi
2012-09-11 18:08 vmromanos Note Added: 0052006
2012-09-12 09:21 hgbot Checkin
2012-09-12 09:21 hgbot Note Added: 0052012
2012-09-12 09:21 hgbot Status scheduled => resolved
2012-09-12 09:21 hgbot Resolution open => fixed
2012-09-12 09:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e75d1f34e9b475a0c707f4d035de8d8743a992d8 [^]
2012-09-25 17:27 dmiguelez Closed by => dmiguelez
2012-09-25 17:27 dmiguelez Note Added: 0052591
2012-09-25 17:27 dmiguelez Status resolved => closed
2012-09-26 17:19 hudsonbot Checkin
2012-09-26 17:19 hudsonbot Note Added: 0052731


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker